apiVersion: v1
items:
- apiVersion: kiali.io/v1alpha1
  kind: Kiali
  metadata:
    annotations:
      kiali.io/reconcile: "2024-06-19T13:20:00Z"
      kubectl.kubernetes.io/last-applied-configuration: |
        {"apiVersion":"kiali.io/v1alpha1","kind":"Kiali","metadata":{"annotations":{"maistra.io/mesh-generation":"2.6.4-1-4"},"labels":{"app.kubernetes.io/component":"kiali","app.kubernetes.io/instance":"istio-system","app.kubernetes.io/managed-by":"maistra-istio-operator","app.kubernetes.io/name":"kiali","app.kubernetes.io/part-of":"istio","app.kubernetes.io/version":"2.6.4-1-4","maistra-version":"2.5.7","maistra.io/owner":"istio-system","maistra.io/owner-name":"default-control-plane"},"name":"kiali","namespace":"istio-system","ownerReferences":[{"apiVersion":"maistra.io/v2","blockOwnerDeletion":true,"controller":true,"kind":"ServiceMeshControlPlane","name":"default-control-plane","uid":"00864025-529e-4614-a4a3-68ad4ccf992b"}]},"spec":{"auth":{"strategy":"openshift"},"deployment":{"accessible_namespaces":[],"image_pull_policy":"","ingress":{"enabled":true},"namespace":"istio-system","pod_labels":{"sidecar.istio.io/inject":"false"}},"external_services":{"custom_dashboards":{"namespace_label":"kubernetes_namespace"},"grafana":{"auth":{"password":"-8sNoDz9GFbYitG2WD44aO9caIZgpUCPCUqh-Rf3oGT2y7CulXgHtZ5R1Mjltoj5lQ7cNAXT","type":"basic","use_kiali_token":false,"username":"internal"},"enabled":true,"in_cluster_url":"https://grafana.istio-system.svc:3000","url":"https://grafana-istio-system.apps.ocpschsqa.uscc.com"},"istio":{"config_map_name":"istio-default-control-plane","istio_sidecar_injector_config_map_name":"istio-sidecar-injector-default-control-plane","istiod_deployment_name":"istiod-default-control-plane","url_service_version":"http://istiod-default-control-plane.istio-system:15014/version"},"prometheus":{"auth":{"password":"-8sNoDz9GFbYitG2WD44aO9caIZgpUCPCUqh-Rf3oGT2y7CulXgHtZ5R1Mjltoj5lQ7cNAXT","type":"basic","use_kiali_token":false,"username":"internal"},"url":"https://prometheus.istio-system.svc:9090"},"tracing":{"auth":{"password":"-8sNoDz9GFbYitG2WD44aO9caIZgpUCPCUqh-Rf3oGT2y7CulXgHtZ5R1Mjltoj5lQ7cNAXT","type":"basic","use_kiali_token":false,"username":"internal"},"enabled":false,"in_cluster_url":"https://jaeger-query.istio-system.svc","namespace":"istio-system","service":"","url":"","use_grpc":false}},"installation_tag":"Kiali [istio-system]","istio_namespace":"istio-system","version":"v1.73"}}
      maistra.io/mesh-generation: 2.6.4-1-4
    creationTimestamp: "2024-03-04T19:25:43Z"
    finalizers:
    - kiali.io/finalizer
    generation: 20
    labels:
      app.kubernetes.io/component: kiali
      app.kubernetes.io/instance: istio-system
      app.kubernetes.io/managed-by: maistra-istio-operator
      app.kubernetes.io/name: kiali
      app.kubernetes.io/part-of: istio
      app.kubernetes.io/version: 2.6.4-1-4
      maistra-version: 2.5.7
      maistra.io/owner: istio-system
      maistra.io/owner-name: default-control-plane
    name: kiali
    namespace: istio-system
    ownerReferences:
    - apiVersion: maistra.io/v2
      blockOwnerDeletion: true
      controller: true
      kind: ServiceMeshControlPlane
      name: default-control-plane
      uid: 00864025-529e-4614-a4a3-68ad4ccf992b
    resourceVersion: "1616400830"
    uid: 11ec12f6-9072-4754-bc37-78b2830bb27f
  spec:
    api:
      namespaces:
        exclude: []
    auth:
      strategy: openshift
    deployment:
      accessible_namespaces:
      - access-management-platform-dev
      - access-management-platform-pte
      - access-management-platform-sqa
      - broadbandlabel-portal-dev
      - broadbandlabel-portal-pte
      - broadbandlabel-portal-sqa
      - dane-broadbandlabel-dev
      - dane-broadbandlabel-pte
      - dane-broadbandlabel-sqa
      - dane-scooby-dev
      - dane-scooby-functional
      - dane-scooby-pte
      - dane-scooby-sqa
      - dane-scooby-test3
      - esim-testdrive-dev
      - esim-testdrive-pte
      - esim-testdrive-sqa
      - ia-ddp-automation-sqa
      - ias-aapx-dev
      - infraarch-nh20-tech-journal-pte
      - internet-egress
      - isintegration-billing-services-dev
      - isintegration-billing-services-pte
      - isintegration-billing-services-sqa
      - isintegration-customer-services-dev
      - isintegration-customer-services-pte
      - isintegration-customer-services-sqa
      - isintegration-device-services-dev
      - isintegration-device-services-pte
      - isintegration-device-services-sqa
      - isintegration-external-services-dev
      - isintegration-external-services-pte
      - isintegration-external-services-sqa
      - isintegration-marketing-services-dev
      - isintegration-marketing-services-pte
      - isintegration-marketing-services-sqa
      - isintegration-notificationhub-dev
      - isintegration-notificationhub-pte
      - isintegration-notificationhub-sqa
      - isintegration-ordering-services-dev
      - isintegration-ordering-services-pte
      - isintegration-ordering-services-sqa
      - isintegration-payment-services-dev
      - isintegration-payment-services-pte
      - isintegration-payment-services-sqa
      - isintegration-resources-services-dev
      - isintegration-resources-services-pte
      - isintegration-resources-services-sqa
      - isintegration-sales-services-dev
      - isintegration-sales-services-pte
      - isintegration-sales-services-sqa
      - isintegration-subscriber-services-dev
      - isintegration-subscriber-services-pte
      - isintegration-subscriber-services-sqa
      - isintegration-utility-services-dev
      - isintegration-utility-services-pte
      - isintegration-utility-services-sqa
      - isintegration-webcheck-dev
      - isintegration-webcheck-pte
      - isintegration-webcheck-sqa
      - isintegration-wnp-services-dev
      - isintegration-wnp-services-pte
      - isintegration-wnp-services-sqa
      - isweb-apps-dev
      - isweb-apps-pte
      - isweb-apps-sqa
      - it-ar-services-dev
      - it-ar-services-pte
      - it-ar-services-sqt
      - it-ar-services-sup
      - it-bl-services-dev
      - it-bl-services-pte
      - it-bl-services-sqt
      - it-bl-services-sup
      - partner-billing-platform-dev
      - partner-billing-platform-pte
      - partner-billing-platform-sqa
      - prepaid-platform-dev
      - prepaid-platform-pte
      - prepaid-platform-sqa
      - web-internal-apps-dev
      - web-internal-apps-sqa
      - zzz-third-party-tls
      image_pull_policy: ""
      ingress:
        enabled: true
      namespace: istio-system
      pod_labels:
        sidecar.istio.io/inject: "false"
    external_services:
      custom_dashboards:
        namespace_label: kubernetes_namespace
      grafana:
        auth:
          password: -8sNoDz9GFbYitG2WD44aO9caIZgpUCPCUqh-Rf3oGT2y7CulXgHtZ5R1Mjltoj5lQ7cNAXT
          type: basic
          use_kiali_token: false
          username: internal
        enabled: true
        in_cluster_url: https://grafana.istio-system.svc:3000
        url: https://grafana-istio-system.apps.ocpschsqa.uscc.com
      istio:
        config_map_name: istio-default-control-plane
        istio_sidecar_injector_config_map_name: istio-sidecar-injector-default-control-plane
        istiod_deployment_name: istiod-default-control-plane
        url_service_version: http://istiod-default-control-plane.istio-system:15014/version
      prometheus:
        auth:
          password: -8sNoDz9GFbYitG2WD44aO9caIZgpUCPCUqh-Rf3oGT2y7CulXgHtZ5R1Mjltoj5lQ7cNAXT
          type: basic
          use_kiali_token: false
          username: internal
        url: https://prometheus.istio-system.svc:9090
      tracing:
        auth:
          password: -8sNoDz9GFbYitG2WD44aO9caIZgpUCPCUqh-Rf3oGT2y7CulXgHtZ5R1Mjltoj5lQ7cNAXT
          type: basic
          use_kiali_token: false
          username: internal
        enabled: false
        in_cluster_url: https://jaeger-query.istio-system.svc
        namespace: istio-system
        service: ""
        url: ""
        use_grpc: false
    installation_tag: Kiali [istio-system]
    istio_labels:
      app_label_name: app.kubernetes.io/instance
      version_label_name: app.kubernetes.io/version
    istio_namespace: istio-system
    kubernetes_config:
      excluded_workloads:
      - CronJob
      - Job
      - ReplicationController
      - StatefulSet
    version: v1.73
  status:
    conditions:
    - lastTransitionTime: "2024-03-04T19:26:56Z"
      message: ""
      reason: ""
      status: "False"
      type: Failure
    - ansibleResult:
        changed: 8
        completion: 2025-01-24T05:48:13.497471
        failures: 0
        ok: 96
        skipped: 49
      lastTransitionTime: "2024-03-04T19:25:43Z"
      message: Awaiting next reconciliation
      reason: Successful
      status: "True"
      type: Running
    - lastTransitionTime: "2025-01-24T05:48:13Z"
      message: Last reconciliation succeeded
      reason: Successful
      status: "True"
      type: Successful
    deployment:
      accessibleNamespaces: 'Number of accessible namespaces (including control plane
        namespace): 84'
      instanceName: kiali
      namespace: istio-system
    environment:
      isMaistra: true
      isOpenshift: true
      kubernetesVersion: 1.29.10+67d3387
      openshiftVersion: 4.16.27
      operatorVersion: v1.89.8
    progress:
      duration: "0:00:42"
      message: 8. Finished all resource creation
    specVersion: v1.73
kind: List
metadata:
  resourceVersion: ""
